<?php
namespace EMS\portalGestor\Service;

use Zeedhi\Framework\Controller\Crud;
use Doctrine\ORM\EntityManager;
use Ems\portalGestor\Util\HcmServices;

use EMS\portalGestor\Util\DateUtil;

class ControleEntregaEPIService extends Crud {

    public function __construct(EntityManager $entityManager, HcmServices $hcmServices) {
        $this->entityManager = $entityManager;
        $this->hcmServices   = $hcmServices;
    }

    public function getControleEntregaEPI(
        array $row
    ): array {
        $nrOrg = (int) $row['NRORG'];

        $hcmServicesRoute = 'getControleEntregaEPI';

        $params = [
            'requestType' => 'Row',
            'row' => $row,
        ];

        $response = $this->hcmServices->send($hcmServicesRoute, $params, $nrOrg);
        $controleEntregaEPI = $response['dataset'][$hcmServicesRoute];

        return $controleEntregaEPI;

    }

    public function getEpi($nrOrg) {
        $params = [
            'requestType' => 'Row',
            'row' => [
                'NRORG'   => $nrOrg
            ]
        ];
        $result = $this->hcmServices->send('getEpi', $params, $nrOrg);
        $epi = $result['dataset']['getEpi'];

        return $epi;
    }

    public function setHistoricoEpi($row) {
        try {
            $hcmServicesRoute = 'setHistoricoEpi';

            $params = [
                'requestType' => 'Row',
                'row' => $row
            ];

            $result = $this->hcmServices->send($hcmServicesRoute, $params, $row['NRORG']);
            $success = $result['dataset'][$hcmServicesRoute]['success'];

            return $success;
		} catch (\Exception $e) {
			throw $e;
		}
    }

    public function deleteHistoricoEpi($row) {
        try {
            $hcmServicesRoute = 'deleteHistoricoEpi';

            $params = [
                'requestType' => 'Row',
                'row' => $row
            ];

            $result = $this->hcmServices->send($hcmServicesRoute, $params, $row['NRORG']);
            $success = $result['dataset'][$hcmServicesRoute]['success'];

            return $success;
		} catch (\Exception $e) {
			throw $e;
		}
    }

}