/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_GROPERLESTOQ                                              */
/* Tabela : GROPERLESTOQ                                                       */
/*                                                                            */
/* Criao:                                                                   */
/* 28/10/2004 - Ronaldo Amaral Costa                                          */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_GROPERLESTOQ
BEFORE INSERT OR UPDATE OR DELETE
ON GROPERLESTOQ FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUGRLE := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDGRUPOPER,0)   <> NVL(:NEW.CDGRUPOPER,0)) OR
         (NVL(:OLD.CDFILIAL,0)     <> NVL(:NEW.CDFILIAL,0)) OR
         (NVL(:OLD.CDLOCALESTOQ,0) <> NVL(:NEW.CDLOCALESTOQ,0)) OR
         (NVL(:OLD.CDALMOXARIFE,0) <> NVL(:NEW.CDALMOXARIFE,0)) THEN
         :NEW.DTULTATUGRLE := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('GROPERLESTOQ',:OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||';CDGRUPOPER='||:OLD.CDGRUPOPER||';CDALMOXARIFE='||:OLD.CDALMOXARIFE||';CDLOCALESTOQ='||:OLD.CDLOCALESTOQ||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE GROPERLESTOQ MODIFY DTULTATUGRLE DEFAULT SYSDATE
/


